/**
 * 
 */
package adaptools.vm;

import java.util.ArrayList;
import java.util.Hashtable;
import java.util.List;
import java.util.Vector;


/**
 *  This class contain a data struct used to shared automata
 *transition when that are on AdapTools format.
 *
 * @author Denys G. Santos
 */
public class AdpDataStruct {

	/** HashTable to shared the transitions table*/
	private Hashtable hash = new Hashtable();
	
	/** Data Vector */
	private List dataVector = new ArrayList();
	
	/** First Rule */
	private Rule firstRule = null;

	/**
	 * @return Returns the dataVector.
	 */
	public List getDataVector() {
		return dataVector;
	}

	/**
	 * @return Returns the hash.
	 */
	public Hashtable getHash() {
		return hash;
	}

	/**
	 * @param dataVector The dataVector to set.
	 */
	public void setDataVector(Vector dataVector) {
		this.dataVector = dataVector;
	}

	/**
	 * @param hash The hash to set.
	 */
	public void setHash(Hashtable hash) {
		this.hash = hash;
	}
	
	
	
	
}
